<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:35 GMT 2018 -->
<title>mapping</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mapping";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;mapping</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/AdvancedMappingPopup.html" title="class in mapping">AdvancedMappingPopup</a></td>
<td class="colLast">
<div class="block">Advanced mapping window that allows users to define key mappings or randomise keys.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/Key.html" title="class in mapping">Key</a></td>
<td class="colLast">
<div class="block">Class to represent a key on the keyboard.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/KeyboardDisplay.html" title="class in mapping">KeyboardDisplay</a></td>
<td class="colLast">
<div class="block">The class where the virtual keyboard is defined.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></td>
<td class="colLast">
<div class="block">Class to represent groupings of mapped keys on the keyboard.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/LoadXmlPopup.html" title="class in mapping">LoadXmlPopup</a></td>
<td class="colLast">
<div class="block">Window that allows the user to choose whether to load a pre-existing XML file
 to edit or to create a new keymap file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/Main.html" title="class in mapping">Main</a></td>
<td class="colLast">
<div class="block">The entry point to the program.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></td>
<td class="colLast">
<div class="block">The main graphical interface of the application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/MappingModel.html" title="class in mapping">MappingModel</a></td>
<td class="colLast">
<div class="block">Class to represent the hierarchy of keyboard maps.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/NewKeyMapPopup.html" title="class in mapping">NewKeyMapPopup</a></td>
<td class="colLast">
<div class="block">Pop up window that allows users to create a new keymap.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></td>
<td class="colLast">
<div class="block">This is the presenter in the model-view-presenter architecture.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a>&lt;T extends java.lang.Comparable&lt;T&gt;&gt;</td>
<td class="colLast">
<div class="block">Class to model a k-ary tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;T extends java.lang.Comparable&lt;T&gt;&gt;</td>
<td class="colLast">
<div class="block">Class for modelling nodes of the TreeDataStructure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/UnicodeConverter.html" title="class in mapping">UnicodeConverter</a></td>
<td class="colLast">
<div class="block">Utility class to convert to and from unicode hex representation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../mapping/XmlParser.html" title="class in mapping">XmlParser</a></td>
<td class="colLast">
<div class="block">Class to parse a pre-existing XML mappings file, these mappings can then be displayed the
 user for editing.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/XmlSerialiser.html" title="class in mapping">XmlSerialiser</a></td>
<td class="colLast">
<div class="block">Class to serialise the user defined keymaps into XML.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../mapping/Key.DisplayType.html" title="enum in mapping">Key.DisplayType</a></td>
<td class="colLast">
<div class="block">Enums to represent the display that has been assign to the key.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
